System.ServiceModel 4.0.0.0 System.ServiceModel.Syndication.SyndicationFeedFormatter System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlRoot("feed", Namespace="http://www.w3.org/2005/Atom")

Use this class to serialize instances of and to create instances of from XML documents that represent Atom1.0 feeds. If you have derived a class from and want to serialize it, use the formatter.

The Atom 1.0 specification allows for fractional seconds to be specified in any of its date constructs. When serializing and deserializing, the indigo2 implementation ignores the fractional seconds.

A class that serializes a instance to and from Atom 1.0 format.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class with the specified instance.

  The to serialize.
- Constructor
  4.0.0.0

  Use this constructor to specify a class derived from to instantiate when a syndication feed is read in.

  Creates a new instance of the class.

  The derived instance to be serialized.
- Method
  4.0.0.0
  System.Boolean ``

  This method does not advance the reader to beyond the start element.

  Verifies whether the specified contains a valid Atom 1.0 syndication feed.

  A value that specifies whether the contains a valid Atom 1.0 syndication feed.

  The to read from.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationFeed

  The newly created instance is not automatically associated with the used to create it.

  Creates a new .

  A new instance.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  The instance derived from that is associated with the instance.

- Property
  4.0.0.0
  System.Boolean To be added.

  The default value of this property is true. Attribute extensions are XML attributes that are not defined in the Atom 1.0 specification. This property determines whether to write these attributes during serialization. Similarly, this property determines whether to preserve unknown attributes inside the AttributeExtensions properties in the instance when deserializing an Atom1.0 feed.

  Gets and sets a value that specifies whether to preserve attribute extensions during serialization.

- Property
  4.0.0.0
  System.Boolean To be added.

  The default value of this property is true. Element extensions are XML elements that are not defined in the Atom 1.0 specification. This property determines whether to write these elements during serialization. Similarly, this property determines whether to preserve unknown elements inside the ElementExtensions properties in the instance when deserializing an Atom1.0 feed.

  Gets and sets a value that specifies whether to preserve element extensions during serialization.

- Method
  4.0.0.0
  System.Void `` To be added.

  Reads an Atom 1.0 syndication feed from the specified instance.

  The to read from.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationItem `` ``

  This method does not add the newly created instance to the , because this is done by the caller of the method. This method provides an extensibility point for classes derived from to customize how an Atom 1.0 entry is deserialized.

  Reads a syndication item from instance using the instance.

  A new instance.

  The to read from. The used to create the new instance.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.ServiceModel.Syndication.SyndicationItem> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Xml.Schema.XmlSchema

  Override this method to return your own schema.

  Implements the method.

  Null.

- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method.

  The used to read the XML document.
- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method.

  The used to write the XML node.
- Property
  4.0.0.0
  System.String To be added.

  indigo1 supports Atom 1.0 and RSS 2.0 syndication versions.

  Gets the syndication version used by the formatter.

- Method
  4.0.0.0
  System.Void `` `` ``

  Override this method to change the way a is written.

  Writes the specified instance to the specified .

  The to write to. The to write. The base URI for the feed.
- Method
  4.0.0.0
  System.Void `` `` ``

  Override this method to change the way a collection of objects.

  Writes a collection of instances to the specified .

  The to write to. A collection of instances to write. The base URI for the feed.
- Method
  4.0.0.0
  System.Void `` To be added.

  Writes the associated with the to the specified .

  The to write to.